cabal-install-3.10.2.1: The command-line interface for Cabal and Hackage.

Maintainer | cabal-devel@haskell.org
Portability | portable
Safe Haskell | None
Language | Haskell2010

Distribution.Client.Run

Description

Implementation of the `run` command.

Synopsis

- run :: Verbosity -> LocalBuildInfo -> Executable -> [String] -> IO ()
- splitRunArgs :: Verbosity -> LocalBuildInfo -> [String] -> IO (Executable, [String])

# Documentation

run :: Verbosity -> LocalBuildInfo -> Executable -> [String] -> IO () #

Run a given executable.

splitRunArgs :: Verbosity -> LocalBuildInfo -> [String] -> IO (Executable, [String]) #

Return the executable to run and any extra arguments that should be forwarded to it. Die in case of error.